summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorKrzysztof Kosi??ski <tweenk.pl@gmail.com>2015-07-15 18:10:34 +0000
committerKrzysztof KosiƄski <tweenk.pl@gmail.com>2015-07-15 18:10:34 +0000
commite297259e8fb1fafb05019649a87ba030fbc7ad9c (patch)
tree38e685c1cc00a3dee69ac65254df2ff9c4f559d1 /src
parentFix for circular references detection in almost all cases, fixing https://bug... (diff)
downloadinkscape-e297259e8fb1fafb05019649a87ba030fbc7ad9c.tar.gz
inkscape-e297259e8fb1fafb05019649a87ba030fbc7ad9c.zip
Add a script that simplifies syncing 2Geom changes
(bzr r14246)
Diffstat (limited to 'src')
-rwxr-xr-xsrc/2geom/sync.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/src/2geom/sync.sh b/src/2geom/sync.sh
new file mode 100755
index 000000000..a2c162903
--- /dev/null
+++ b/src/2geom/sync.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+
+function usage {
+ echo "2Geom sync to upstream script"
+ echo "Usage: $0 path/to/2geom/checkout/dir"
+}
+
+if [ "x$(which rsync)" = "x" ]; then
+ echo "rsync not found on your system, please install it"
+ exit 1
+fi
+
+if [ "x$1" = "x" ]; then
+ usage $0
+ exit 64
+fi
+if [ ! -d "$1" ]; then
+ usage $0
+ exit 64
+fi
+if [ ! -f "$1/src/2geom/path.h" ]; then
+ usage $0
+ exit 64
+fi
+
+INK_2GEOM="$(dirname $0)/"
+UPSTREAM_2GEOM="$1/src/2geom/"
+rsync -r --existing \
+ --exclude CMakeLists.txt --exclude sync.sh \
+ "$UPSTREAM_2GEOM" "$INK_2GEOM"